Skip to navigation | Skip to main content | Skip to footer
Menu
Search the University of Manchester siteSearch Menu StaffNet
Search type

Withdrawal of support for older versions of SPSS Analytics Suite

02 Oct 2019

SPSS Analytics Suite is a statistical analysis package consisting of SPSS, AMOS, Modeler and other utilities

The vendor, IBM, has notified us that they will not be able to provide annual licence codes for the following older versions when the current codes expire towards the end of 2019:

  • SPSS 22 and lower [the current version is 25]
  • AMOS 22 and lower [the current version is 25]
  • Modeler 16 and lower [the current version is 18.1]

On Sunday 1 December 2019, these versions will enter a 60-day grace period and then stop working on or about 30 January 2020.

If you're still using any of the above, you must install a later version: we recommend you install the latest version available and that you do so before 1 December. Different versions of SPSS Analytics Suite can co-exist on the same computer so you may install later versions now. If you're still using Windows 7, this can be done via the software centre. For unmanaged computers, you may download an installer from the Electronic Software Delivery (ESD) service.

Note: The above page can only be accessed while on campus or connected to GlobalProtect VPN.